<div class="card bg-light">
    <div class="card-header">{{ title }}</div>
    <div class="card-body">
      <form #juegoForm="ngForm"> 
        <div class="form-group row">
          <label for="titulo" class="col-form-label col-sm-3">Título</label>
          <div class="col-sm-6">
            <input name="titulo" type="text" placeholder="Título" class="form-control" [(ngModel)]="juego.titulo" maxlength="255" 
            required #titulo="ngModel">
            <div class="alert alert-danger" *ngIf="titulo.invalid && (titulo.dirty || titulo.touched)">
                <div *ngIf="titulo.errors.required">
                  Debe rellenar el título del Juego
                </div>
            </div>
          </div>
        </div>

        <div class="form-group row">
          <label for="fechaLanzamiento" class="col-form-label col-sm-3">Fecha de lanzamiento</label>
          <div class="col-sm-6">
            <input name="fechalanzamiento" type="date" placeholder="yyyy-mm-dd" class="form-control" [(ngModel)]="juego.fechaLanzamiento" 
            required #fechalanzamiento="ngModel">
            <div class="alert alert-danger" *ngIf="fechalanzamiento.invalid && (fechalanzamiento.dirty || fechalanzamiento.touched)">
                <div *ngIf="fechalanzamiento.errors.required">
                  Debe rellenar la fecha de lanzamiento del Juego
                </div>
            </div>
          </div>
        </div>

        <div class="form-group row">
          <label for="precio" class="col-form-label col-sm-3">Precio</label>
          <div class="col-sm-6">
            <input name="precio" type="number" class="form-control" [(ngModel)]="juego.precio"
            required #precio="ngModel">
            <div class="alert alert-danger" *ngIf="precio.invalid && (precio.dirty || precio.touched)">
                <div *ngIf="precio.errors.required">
                  Debe rellenar el precio del Juego
                </div>
            </div>
          </div>
        </div>

        <div class="form-group row">
          <label for="pegi" class="col-form-label col-sm-3">PEGI</label>
          <div class="col-sm-6">
            <input name="pegi" type="number" min="0" max="18" pattern ="[0-9]*" class="form-control" [(ngModel)]="juego.pegi"
            required #pegi="ngModel">
            <div class="alert alert-danger" *ngIf="pegi.invalid && (pegi.dirty || pegi.touched)">
                <div *ngIf="pegi.errors.required">
                  Debe rellenar el PEGI del Juego
                </div>
                <div *ngIf="pegi.errors.pattern">
                  PEGI debe ser un número positivo
                </div>
            </div>
          </div>
        </div>

        <div class="form-group row">
          <label for="categoria" class="col-form-label col-sm-3">Categoría</label>
          <div class="col-sm-6">
            <select class="form-control" name="categoria" [(ngModel)]="juego.categoria" required #categoria="ngModel">
              <option *ngFor="let categoriaOption of categorias" [ngValue]="categoriaOption.value">{{categoriaOption.title}}</option>
            </select>
            <div class="alert alert-danger" *ngIf="categoria.invalid && (categoria.dirty || categoria.touched)">
              <div *ngIf="categoria.errors.required">
                Debe rellenar la categoría del Juego
              </div>
          </div>
           </div>
        </div>

        <div class="form-group row">
          <label for="companies" class="col-form-label col-sm-3">Compañías</label>
          <div class="col-sm-6">
            <select class="form-control" name="companies" [(ngModel)]="juego.companies" [compareWith]="compareCompany" multiple>
              <option *ngFor="let companyOption of companies" [ngValue]="companyOption" >{{companyOption.nombre}}</option>
            </select>
           </div>
        </div>

        <div class="col-sm-6">
            <button class="btn btn-primary" (click)="create()" *ngIf="!juego.idJuego" [disabled]="!juegoForm.valid">Crear</button>
            <button class="btn btn-primary" (click)="update()" *ngIf="juego.idJuego" [disabled]="!juegoForm.valid">Editar</button>
            <button class="btn btn-secondary ml-2" routerLink="/juegos" type="button">Cancelar</button>
          </div>
        </form>
      </div>
    </div>

